Logistics
List Packing Lists
GET
/
logistics
/
packing-lists
List Packing Lists
curl --request GET \
--url https://vinmake-erp.onrender.com/logistics/packing-lists \
--header 'Authorization: Bearer <token>'import requests
url = "https://vinmake-erp.onrender.com/logistics/packing-lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vinmake-erp.onrender.com/logistics/packing-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"documentId": "<string>",
"direction": "<string>",
"status": "<string>",
"shipmentId": "<string>",
"shipmentDocumentId": "<string>",
"deliveryId": "<string>",
"deliveryDocumentId": "<string>",
"supplierId": "<string>",
"supplierName": "<string>",
"clientId": "<string>",
"clientName": "<string>",
"packingDate": "<string>",
"notes": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"packagesCount": 123,
"lineItemsCount": 123,
"packages": [
{
"id": "<string>",
"packingListId": "<string>",
"packageNo": "<string>",
"packageType": "<string>",
"status": "<string>",
"barcode": "<string>",
"qrCode": "<string>",
"grossWeight": 123,
"netWeight": 123,
"weightUom": "<string>",
"lengthCm": 123,
"widthCm": 123,
"heightCm": 123,
"volumeCbm": 123,
"destinationLocationId": "<string>",
"destinationLocationName": "<string>",
"notes": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"lineItemsCount": 123,
"lineItems": [
{
"id": "<string>",
"packageId": "<string>",
"lineNumber": 123,
"qty": 123,
"uom": "<string>",
"shipmentLineItemId": "<string>",
"deliveryLineItemId": "<string>",
"purchaseOrderLineItemId": "<string>",
"salesOrderLineItemId": "<string>",
"materialId": "<string>",
"materialSkuId": "<string>",
"materialType": "<string>",
"styleId": "<string>",
"styleSkuId": "<string>",
"description": "<string>",
"color": "<string>",
"size": "<string>",
"batchNumber": "<string>",
"lotNumber": "<string>",
"dyeLot": "<string>",
"rollNumber": "<string>",
"cartonNumber": "<string>",
"supplierPackageRef": "<string>",
"notes": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}
]
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasNext": true,
"hasPrev": true
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100⌘I
List Packing Lists
